Bug 125631 - printing pdfs look faded, but Test prints ok
printing pdfs look faded, but Test prints ok
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2004-06-09 11:26 EDT by albert vilella
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-09 10:08:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
correct driver, taken from FC1 (69.75 KB, text/plain)
2004-06-10 10:09 EDT, albert vilella
no flags Details
this is the driver that is selected by FC2 when choosing HP Laserjet 4, and prints faded (24.30 KB, text/plain)
2004-06-10 10:11 EDT, albert vilella
no flags Details

  None (edit)
Description albert vilella 2004-06-09 11:26:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
I have configured a hplaserjet4 with system-config-printer, and the
test prints look fine.

But when I try to print a pdf document, with gpdf, it is printed
faded, with letters almost impossible to distinguish. The same
document on the same printer looks perfect under Windows.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Set up a hp laserjet 4 printer in system-config-printer
2. Print a pdf file using gpdf or acroread
3. Looks faded

Actual Results:  It looks faded

Expected Results:  To look fine, like the test page or the same file
under the same printer under Windows, or the same stuff under Fedora
Core 1

Additional info:

It was working fine with Fedora Core 1
Comment 1 albert vilella 2004-06-10 10:09:46 EDT
Created attachment 101027 [details]
correct driver, taken from FC1

This is the correct driver, that works fine, as selected with FC1
Comment 2 albert vilella 2004-06-10 10:11:23 EDT
Created attachment 101028 [details]
this is the driver that is selected by FC2 when choosing HP Laserjet 4, and prints faded
Comment 3 Tim Waugh 2004-06-24 12:37:06 EDT
So ljet4 worked, but hpijs doesn't.  Can you please try changing the
driver that FC2 uses (with the system-config-printer tool, if that's
how you set up the printer in the first place) to ljet4, to verify
that it produces the better result?
Comment 4 albert vilella 2004-06-24 15:47:53 EDT
Yes, ljet4.ppd is the right driver, and the one that works perfectly.

The problem is that the "HP Laserjet 4" option in
system-config-printer is wrongly pointing to hpijs: this is a FC2
error that wasn't there in FC1.
Comment 5 Tim Waugh 2004-06-28 06:10:44 EDT
I'm confused by you saying "ljet4.ppd" -- are you using
system-config-printer to set up this queue, or another tool?

Really I need to know if you are using the ghostscript built-in ljet4
driver, or something else.

(Changing component to foomatic since that's where this information
gets stored.)
Comment 6 albert vilella 2004-06-28 06:24:04 EDT
To reproduce the bug under FC2:


"New" -> Forward

name: whatever
description: this is a hp laserjet 4 -> Forward

Locally connected - /dev/lp0 -> Forward

click on Generic (click to select manufacturer -> HP -> LaserJet 4 ->



then take a look at /etc/cups/ppd/whatever.ppd
*FormatVersion: "4.3"
*FileVersion:   "1.1"
*LanguageVersion: English
*LanguageEncoding: ISOLatin1
*PCFileName:    "HPIJS.PPD"
*Manufacturer:  "HP"
*Product:       "(LaserJet 4)"
*cupsVersion:   1.0
*cupsManualCopies: True

"HPIJS.PPD" is Wrong! Should be "LJET4.PPD"

Thanks in advance,

Comment 7 Matthew Miller 2005-04-26 12:17:24 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 8 Tim Waugh 2005-09-09 10:08:33 EDT
http://www.linuxprinting.org/show_printer.cgi?recnum=HP-LaserJet_4 shows that
the hpijs driver is the recommended driver.  If this information is wrong,
please contact the linuxprinting folks to let them know.


Note You need to log in before you can comment on or make changes to this bug.